cancel
Showing results for 
Search instead for 
Did you mean: 

Pulse Secure Application Launcher failed to load Java. Please install correct JRE version

rbnjms
New Contributor

Pulse Secure Application Launcher failed to load Java. Please install correct JRE version

I see this has been asked before but I do not see a solution. I am running macOS 11.5.2, Java 8 Update 301. The log shows this

 

00297,09 2021/08/17 09:40:56.187 3 rbn PulseApplication Pulse_secure_Application_Launcher p5728 t103 applauncher.cpp:654 - 'Psal::AppLauncher' DownloadApplets() downloaded file /Users/rbn/Library/Application Support/Pulse Secure/applets/dana-cached/webapplets/vc0/rewritten/applet_10000/lib/jwtwebJ2.jar
00248,09 2021/08/17 09:40:56.188 1 rbn PulseApplication Pulse_secure_Application_Launcher p5728 t1521B osxapplauncher.mm:535 - 'Psal::AppLauncher' dlopen failed for path /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/lib/jli/libjli.dylib
00184,09 2021/08/17 09:40:56.188 1 rbn PulseApplication Pulse_secure_Application_Launcher p5728 t1521B jniclient.cpp:77 - 'Psal::JNIClient' LoadJVMCreateFunc failed to initialize JVM function
00197,09 2021/08/17 09:40:56.188 1 rbn PulseApplication Pulse_secure_Application_Launcher p5728 t1521B osxapplauncher.mm:593 - 'Psal::AppLauncher' Failed to launch applets as proper JRE was not available.
00174,09 2021/08/17 09:40:56.188 1 rbn PulseApplication Pulse_secure_Application_Launcher p5728 t1521B osxapplauncher.mm:559 - 'Psal::AppLauncher' Terminate app with error code 711